<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>DEM live stats</title>

</head>
<body>
<h2 id="tytul">DEM Stats - Welcome! </h2>
<a href="pronta/ex/full/index.php">DEM Wailling Wall</a><br><br>

<div>
    <table>
        <tr>
            <td>wpadło</td>
            <td id="In">xx</td>
        </tr>
        <tr>
            <td>wpadło unikatowych</td>
            <td id="InUnique">xx</td>
        </tr>
        <tr>
            <td>wypadło w sumie</td>
            <td id="Out">xx</td>
        </tr>
        <tr>
            <td>wypadło w sumie unikatowych</td>
            <td id="OutUnique">xx</td>
        </tr>
        <tr>
            <td></td>
            <td></td>
        </tr>
        <tr>
            <td>wypadniętych zamkniętych (Closed)</td>
            <td id="OutClosed">xx</td>
        </tr>
        <tr>
            <td>wypadniętych zamkniętych (CNN)</td>
            <td id="OutCnn">xx</td>
        </tr>
        <tr>
            <td>wypadniętych przetransferowanych</td>
            <td id="OutTransferred">xx</td>
        </tr>
        <tr>
            <td>wypadniętych przetransferowanych unikatowych</td>
            <td id="OutTransferredUnique">xx</td>
        </tr>
        <tr>
            <td>wypadniętych attachowanych</td>
            <td id="OutAttached">xx</td>
        </tr>
    </table>

    <form>
        <br>
        yyyy-mm-dd >=
        <input id = "inputAfter" type="text" name="firstname">
        <br>
        yyyy-mm-dd <
        <input id = "inputBefore" type="text" name="lastname">
    </form>

    <button id = "getStatsButton">get stats</button>
    <br> <br>
    <p>Nie należy patrzeć na statyski transferow/zamknięć/cnn przed 05-24. Przed tą datą poprawne są tylko statystyki
        wpadnięć i wypadnięć (unikatowych i nieunikatowych). Transfer unikatowy to taki który wystąpił co najmniej raz
        w zadanym przedziale dat (nawet w przypadku odbijania pronta w tą i spowrotem transfer jest liczony jako jeden)</p>
    <br> <br>
    <p hidden>osoby przypisane do pola developer podczas pozbywania się pronta (tylko pronta które obecnie nie są na DEMie (jeszcze nie wróciły), w razie pingponga liczone jako jedno):</p>


    <script>
    let today = new Date();
    let tomorrow = new Date();
    tomorrow.setDate(tomorrow.getDate() + 1);
    let afterForToday = today.toISOString().substr(0, 10);
    let beforeForToday = tomorrow.toISOString().substr(0, 10);

    document.getElementById("inputAfter").value = afterForToday;
    document.getElementById("inputBefore").value = beforeForToday;

    function loadData(after, before) {
        let xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function() {
            if (this.readyState == 4 && this.status == 200) {
                let responseJson = this.responseText;
                let stats = JSON.parse(responseJson);
                document.getElementById("In").innerHTML = stats.in;
                document.getElementById("InUnique").innerHTML = stats.inUnique;
                document.getElementById("Out").innerHTML = stats.out;
                document.getElementById("OutUnique").innerHTML = stats.outUnique;
                document.getElementById("OutClosed").innerHTML = stats.outClosed;
                document.getElementById("OutCnn").innerHTML = stats.outCnn;
                document.getElementById("OutTransferred").innerHTML = stats.outTransferred;
                document.getElementById("OutTransferredUnique").innerHTML = stats.outTransferredUnique;
                document.getElementById("OutAttached").innerHTML = stats.outAttached;
            }
        };
        xhttp.open("GET", "getStats.php?after=" + after + "&before=" + before, true);
        xhttp.send();

    }
    loadData(afterForToday, beforeForToday);
    getStatsButton.onclick = function() {
        loadData(document.getElementById("inputAfter").value, document.getElementById("inputBefore").value);
    };

</script>



</body>
</html>
